'''
Download the MNIST database if necessary.

The database is located at:

http://yann.lecun.com/exdb/mnist/
'''

import sys
import gzip
sys.path.append('../adult')
from get_adult import download

def gunzip(filename):
    f_in = gzip.open(filename, 'rb')
    f_out = file(filename[:-3], 'wb')
    f_out.writelines(f_in)
    f_out.close()
    f_in.close()

if __name__ == '__main__':
    base_url = 'http://yann.lecun.com/exdb/mnist/'
    files_md5 = (('t10k-images-idx3-ubyte.gz',
                  '9fb629c4189551a2d022fa330f9573f3'),
                 ('t10k-labels-idx1-ubyte.gz',
                  'ec29112dd5afa0611ce80d1b7f02629c'),
                 ('train-images-idx3-ubyte.gz',
                  'f68b3c2dcbeaaa9fbdd348bbdeb94873'),
                 ('train-labels-idx1-ubyte.gz',
                  'd53e105ee54ea40749a09fcbcd1e9432'))

    for name, digest in files_md5:
        download(name, digest, base_url)
        gunzip(name)
        
    
